org.apache.cassandra.io.sstable

## Class SSTableLoader.LoaderFuture

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.LoaderFuture

- All Implemented Interfaces:
    java.util.concurrent.Future<java.lang.Void>
  Enclosing class:
    SSTableLoader

      public static class SSTableLoader.LoaderFuture
      extends java.lang.Object
      implements java.util.concurrent.Future<java.lang.Void>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `java.lang.Void` | `get()`
    `java.lang.Void` | `get(long timeout, java.util.concurrent.TimeUnit unit)`
    `java.util.List<java.net.InetAddress>` | `getFailedHosts()`
    `java.util.Map<java.net.InetAddress,java.util.Collection<PendingFile>>` | `getPendingFiles()`
    `boolean` | `hadFailures()`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFailedHosts

          public java.util.List<java.net.InetAddress> getFailedHosts()

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `java.util.concurrent.Future<java.lang.Void>`

    - #### get

          public java.lang.Void get()
                             throws java.lang.InterruptedException

      Specified by:
        `get` in interface `java.util.concurrent.Future<java.lang.Void>`
      Throws:
        `java.lang.InterruptedException`

    - #### get

          public java.lang.Void get(long timeout,
                           java.util.concurrent.TimeUnit unit)
                             throws java.lang.InterruptedException,
                                    java.util.concurrent.TimeoutException

      Specified by:
        `get` in interface `java.util.concurrent.Future<java.lang.Void>`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.TimeoutException`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `java.util.concurrent.Future<java.lang.Void>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `java.util.concurrent.Future<java.lang.Void>`

    - #### hadFailures

          public boolean hadFailures()

    - #### getPendingFiles

          public java.util.Map<java.net.InetAddress,java.util.Collection<PendingFile>> getPendingFiles()

Copyright © 2014 The Apache Software Foundation